Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jdt.core.search
Interface ITypeNameRequestor

public interface ITypeNameRequestor

A `ITypeNameRequestor` collects search results from a `searchAllTypeNames` query to a `SearchEngine`. Clients must implement this interface and pass an instance to the `searchAllTypeNames(...)` method. Only top-level and member types are reported. Local types are not reported.

This interface may be implemented by clients.

Method Summary
`void` | `acceptClass(char[] packageName, char[] simpleTypeName, char[][] enclosingTypeNames, String path)` Accepts a top-level or a member class.
`void` | `acceptInterface(char[] packageName, char[] simpleTypeName, char[][] enclosingTypeNames, String path)` Accepts a top-level or a member interface.

Method Detail

### acceptClass

    public void acceptClass(char[] packageName,
                            char[] simpleTypeName,
                            char[][] enclosingTypeNames,
                            String path)

  Accepts a top-level or a member class.

  Parameters:
    `packageName` - the dot-separated name of the package of the class
    `simpleTypeName` - the simple name of the class
    `enclosingTypeNames` - if the class is a member type, the simple names of the enclosing types from the outer-most to the direct parent of the class (for example, if the class is x.y.A$B$C then the enclosing types are [A, B]. This is an empty array if the class is a top-level type.
    `path` - the full path to the resource containing the class. If the resource is a .class file or a .java file, this is the full path in the workspace to this resource. If the resource is an archive (that is, a .zip or .jar file), the path is composed of 2 paths separated by `IJavaSearchScope.JAR_FILE_ENTRY_SEPARATOR`: the first path is the full OS path to the archive (if it is an external archive), or the workspace relative `IPath` to the archive (if it is an internal archive), the second path is the path to the resource inside the archive.

### acceptInterface

    public void acceptInterface(char[] packageName,
                                char[] simpleTypeName,
                                char[][] enclosingTypeNames,
                                String path)

  Accepts a top-level or a member interface.

  Parameters:
    `packageName` - the dot-separated name of the package of the interface
    `simpleTypeName` - the simple name of the interface
    `enclosingTypeNames` - if the interface is a member type, the simple names of the enclosing types from the outer-most to the direct parent of the interface (for example, if the interface is x.y.A$B$I then the enclosing types are [A, B]. This is an empty array if the interface is a top-level type.
    `path` - the full path to the resource containing the interface. If the resource is a .class file or a .java file, this is the full path in the workspace to this resource. If the resource is an archive (that is, a .zip or .jar file), the path is composed of 2 paths separated by `IJavaSearchScope.JAR_FILE_ENTRY_SEPARATOR`: the first path is the full OS path to the archive (if it is an external archive), or the workspace relative `IPath` to the archive (if it is an internal archive), the second path is the path to the resource inside the archive.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) IBM Corp. and others 2000, 2004. All Rights Reserved.